Page MenuHomePhabricator

1.31.0-wmf.15 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.31.0-wmf.15
Release Date
1514764800

2018 week 01 1.31-wmf.15 Changes wmf/1.31.0-wmf.15

This MediaWiki Train Deployment is scheduled for the week of Monday, January 1st:

Monday January 1stTuesday, January 2ndWednesday, January 3rdThursday, January 4thFriday
SWAT deployments only.Branch wmf.15 and deploy to Group 0 Wikis.Deploy wmf.15 to Group 1 Wikis.Deploy wmf.15 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.15 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.14
Next: 1.31.0-wmf.16

Event Timeline

greg created this task.Nov 16 2017, 10:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2017, 10:24 PM
greg triaged this task as Normal priority.Nov 16 2017, 10:34 PM

Mentioned in SAL (#wikimedia-operations) [2018-01-04T20:06:38Z] <twentyafterfour> There are still open blockers for wmf.15 - see T180748 .. attempting to resolve them to unblock the train.

Mentioned in SAL (#wikimedia-operations) [2018-01-04T22:00:34Z] <twentyafterfour> No blockers remain for T180748, proceeding to deploy wmf.15 to all wikis

demon closed this task as Resolved.Jan 8 2018, 8:27 PM
demon claimed this task.